Skip to main content
POST
/
accounts
/
{accountId}
/
fiat-to-crypto
/
payment-links
Create a fiat-to-crypto payment link
curl --request POST \
  --url https://api.venlyfinance.com/api/v1/accounts/{accountId}/fiat-to-crypto/payment-links \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inAmount": "<string>",
  "inCurrency": "EUR",
  "outCryptocurrency": "USDC",
  "redirectUrl": "<string>",
  "externalRef": "<string>",
  "metadata": {}
}
'
{
  "success": true,
  "result": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "paymentUrl": "<string>",
    "externalRef": "<string>",
    "status": "CREATED",
    "walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "blockchainTxId": "<string>",
    "failureReason": "<string>",
    "failureCode": "<unknown>",
    "cancellable": true,
    "expiresAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string<uuid>

Unique key for idempotent requests (UUID recommended)

Path Parameters

accountId
string<uuid>
required

Body

application/json
inAmount
string
Pattern: ^\d+(\.\d{1,2})?$
inCurrency
enum<string>

Supported fiat currencies. For virtual bank accounts in Release 1, only EUR is supported.

Available options:
EUR,
GBP,
USD
outCryptocurrency
enum<string>
Available options:
USDC,
EURC,
USDT
redirectUrl
string<uri>
externalRef
string
Maximum string length: 255
metadata
object

Response

Payment link created

success
boolean

Indicates whether the request was successful

result
object